=== debian/changelog ===
ntop (3:5.0.1+dfsg1-2ubuntu1) trusty; urgency=medium

  * debian/rules: use dh_autotools-dev to update config.* for new ports.
  * debian/patches/kfreebsd-ftbfs.patch: fix broken preprocessor ifdefs.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 30 Mar 2014 01:12:55 -0600

ntop (3:5.0.1+dfsg1-2) unstable; urgency=medium

  * Use system jquery js and css (Closes: #737444).
  * Include non-minimized source for jquery.jqplot.js (Closes: #737444).
  * Add versioncheck.patch to fix handling and documentation of
    --skip-version-check command line option (Closes: #737917).
  * Update Standards-Version to 3.9.5.

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 01 Mar 2014 01:05:28 -0800

ntop (3:5.0.1+dfsg1-1) unstable; urgency=low

  * Imported Upstream version 5.0.1+dfsg1
  * Update copyright.
  * Update NEWS about this being the last release.
  * Make ndpi svn revsion optional in the package version string.
  * Remove patches merged upstream:
    - tcp-option-parsing.patch
    - l7_major_proto-fix.patch
    - install-jqplot.patch
    - remove-fragment-handling.patch
  * Refresh other pacthes.
  * Update debian/copyright, listing html/JSCookMenu.js correctly as MIT
    license (Closes: #696749).
  * Add dependency on python.
  * Update Japanese debconf translation (Closes: #715284).
  * Update Vcs fileds to canonical form.
  * Update Standards-Versions to 3.9.4.

 -- Ludovico Cavedon <cavedon@debian.org>  Thu, 12 Sep 2013 10:56:36 +0200
